Main Page Modules Class Hierarchy Compound List File List Compound Members

# cCompoundModule Class Reference

`#include <cmodule.h>`

Inheritance diagram for cCompoundModule::

List of all members.

## Public Methods

Constructors, destructor, assignment.
| cCompoundModule (const cCompoundModule &mod)
| cCompoundModule (const char *name, cModule *parentmod)
virtual | ~cCompoundModule ()
cCompoundModule& | operator= (const cCompoundModule &mod)
Redefined cObject functions.
virtual cObject* | dup () const
virtual void | info (char *buf)
Redefined cModule functions.
virtual bool | isSimple () const
virtual bool | callInitialize (int stage)
virtual void | callFinish ()
virtual void | scheduleStart (simtime_t t)
virtual void | deleteModule ()

## Detailed Description

Represents a compound module in the simulation.

NOTE: dup() cannot be used. Use moduleType()->create() instead.

## Constructor & Destructor Documentation

cCompoundModule::cCompoundModule ( | const cCompoundModule & mod )

| Copy constructor.

cCompoundModule::cCompoundModule ( | const char * name,
| cModule * parentmod )

| Constructor. Note that module objects should not be created directly, only via their cModuleType objects. See cModule constructor for more info.

cCompoundModule::~cCompoundModule ( | )`[virtual]`

| Destructor.

## Member Function Documentation

void cCompoundModule::callFinish ( | )`[virtual]`

| Redefined cModule method. Calls finish() first for submodules recursively, then for this module. Reimplemented from cModule.

bool cCompoundModule::callInitialize ( | int stage )`[virtual]`

| Redefined cModule method. Calls initialize() first for this module first, then recursively for all its submodules. Reimplemented from cModule.

void cCompoundModule::deleteModule ( | )`[virtual]`

| Calls deleteModule() for all its submodules and then deletes itself. Reimplemented from cModule.

cObject * cCompoundModule::dup ( | ) const`[inline, virtual]`

| Creates and returns an exact copy of this object. See cObject for more details. Reimplemented from cObject.

void cCompoundModule::info ( | char * buf )`[virtual]`

| Produces a one-line description of object contents into the buffer passed as argument. See cObject for more details. Reimplemented from cObject.

bool cCompoundModule::isSimple ( | ) const`[inline, virtual]`

| Redefined cModule method. Returns false. Reimplemented from cModule.

cCompoundModule & cCompoundModule::operator= ( | const cCompoundModule & mod )

| Assignment operator. The name member doesn't get copied; see cObject's operator=() for more details.

void cCompoundModule::scheduleStart ( | simtime_t t )`[virtual]`

| Calls scheduleStart() recursively for all its (immediate) submodules. This is used with dynamically created modules. Reimplemented from cModule.

The documentation for this class was generated from the following file:

- cmodule.h